
package PhraseStruct;

sub new {
    my $class = shift;
    my $self  = {};
    bless $self;
    if (defined $_[0]) {
	$self->{PRODUCT} = shift;	#prodect -- right side of phrase structure
    }
    if (defined $_[0]) {
	$self->{CONSTITUENTS} = shift;	#constituents -- left side
    }
    return $self;
}

1;
